//******************************************************************************
// NaviTimer.java:	Timerklasse zum Öffnen von Webseiten
//******************************************************************************

import java.applet.*;
import java.net.*;


class NaviTimer implements Runnable
{
//	Eigenschaften
	private AppletContext kontext;
	private URL adresse;
	private int zeit;

	private boolean timerEnabled = true;

	private Thread timer;

//	Konstruktor
	public NaviTimer(AppletContext kontext, URL adresse, int zeit)
	{
	//	Parameter speichern
		this.kontext = kontext;
		this.adresse = adresse;
		this.zeit = zeit;

	//	Timer starten, wenn zeit nicht Null
		if (zeit != 0)
		{
			start();
		}
		else
		{
			timerEnabled = false;
		}
	}

//	Timer anhalten
	public void stop()
	{
		if (timerEnabled)
		{
			timer.stop();
			timer == null;
		}
	}

//	Timer neu starten
	public void start()
	{
		if (timerEnabled)
		{
			timer = new Thread(this);
			timer.start();
		}
	}

//	gespeicherte Seite im Browser öffnen
	public void oeffneSeite()
	{
		kontext.showDocument(adresse);
		if (timerEnabled && timer != null)
		{
			timer.stop();
		}
	}

//	Hauptroutine des Timers
	public void run()
	{
	//	zeit abwarten, dann Seite öffnen
		try
		{
			timer.sleep(zeit * 1000);
		}
		catch (InterruptedException e)
		{
		}

		oeffneSeite();
	}
}

